From 10e30a62f0afa3cd1eea2b6e73223dcdae5719b6 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 30 2016 14:53:07 +0000
Subject: [PATCH 365/1001] Get access to a real sqlalchemy widget (not a munch) so we can update last_refreshed on it.


---

diff --git a/hubs/consumer.py b/hubs/consumer.py
index b5fbe9d..c6e0d7b 100755
--- a/hubs/consumer.py
+++ b/hubs/consumer.py
@@ -158,13 +158,14 @@ class CacheInvalidatorExtraordinaire(fedmsg.consumers.FedmsgConsumer):
         # see if any tell us that we should nuke various data caches.
         for check, widget in checks:
             if check(msg, session, widget):
+                # Get a real widget, because we update last_refreshed on it.
+                widget = hubs.models.Widget.by_idx(session, widget.idx)
                 log.info("! Invalidating cache for %r" % widget)
                 # Invalidate the cache...
                 invalidate_cache(widget, **widget.config)
                 # Rebuild it.
-                module = hubs.widgets.registry[widget.plugin]
-                widget = hubs.models.Widget.by_idx(session, widget.idx)
-                module.data(session, widget, **widget.config)
+                log.info("! Rebuilding cache for %r" % widget)
+                widget.module.data(session, widget, **widget.config)
                 # TODO -- fire off an EventSource notice that we updated stuff
 
         log.debug("Done.  %0.2fs %s %s",

